persian_calendar 0.0.1
persian_calendar: ^0.0.1

Flutter Android iOS web

A Flutter package for persian dates and calendar

persian_calendar #

A Flutter package for persian dates and calendar

Installation #

First, add persian_calendar as a [dependency in your pubspec.yaml file]

Example #

import 'package:flutter/material.dart';
import 'package:persian_calendar/persian_calendar.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: "Calendar",
      home: CalendarPage(),
    );
  }
}

class CalendarPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      appBar: AppBar(
        backgroundColor: Colors.transparent,
        elevation: 0.0,
        leading: Icon(Icons.arrow_back),
      ),
      body: Container(
        child: PersianCalendar(
          startingYear: 1398,
          startingMonth: 1,
          endingYear: 1400,
          endingMonth: 5,
        ),
      ),
    );
  }
}

0
likes
80
pub points
36%
popularity

A Flutter package for persian dates and calendar

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

a01m01s11@gmail.com

License

unknown (LICENSE)

Dependencies

flutter

More

Packages that depend on persian_calendar